/* Stylar texten Visa alla sökträffar i sökordsförslagen */
ul.sv-autocomplete-search-result .sv-autocomplete-result-item.final-search-link {
   font-weight: 600;
}

/* Korrigerar hover-färg på rek-ai-länkar på genomgångssida2 så det stämmer på delwebbar */
.sol-landingpage-2 .rekai-main .rekai-pills li:hover {
    background-color: var(--sol-color-primary--20)!important;
}
/*Ställer bakgrundsfärgen på egen FAQ-box */
.got-faq-grey {
   background-color: #444648;
}
/*Stylar utfällbart innehåll, plusboxar, i FAQ-dekoration*/
.sol-oppening-hours-box.got-faq-box .env-collapse-header {
    background-color: unset;
    border-top: 1px solid #EBEBEB; /* Överkant med 1 pixlars tjocklek och grå färg */
    border-left: none;
    border-right: none;
    border-bottom: none;
    border-radius: 0;
    padding: 13px 9px 13px 10px;
}

.sol-oppening-hours-box.got-faq-box .sv-collapsible-content {
    margin: 0px;
}

.sol-oppening-hours-box.got-faq-box .env-collapse-header:hover {
    border-top: 1px solid #EBEBEB;
    border-radius: 0;
}

.sol-oppening-hours-box.got-faq-box .env-collapse-header--icons:before,
.sol-oppening-hours-box.got-faq-box .env-collapse-header--icons:after {
    height: 2px;
    width: 18px;
    background-color: #444648!important;
}

.sol-oppening-hours-box.got-faq-box .sv-collapsible-content h3 {
    font-family: Open sans, Arial, sans-serif;
    font-size: 18px;
    font-weight: 600;
}

.sol-oppening-hours-box.got-faq-box .sv-collapsible-content p {
    padding: 0px 20px 0px 0px;
}

.sol-oppening-hours-box.got-faq-box .env-collapse-header[aria-expanded=true] {
    background-color: unset;
    border-left: none;
    border-right: none;
    border-bottom: none;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    color: unset;
}

.sol-oppening-hours-box.got-faq-box .sv-collapsible-content .env-collapse {
    box-shadow: unset;
    padding: 0px 20px 20px 10px;
    
}
.sol-oppening-hours-box.got-faq-box .sv-collapsible-content h3 {
    font-family: museo-slab, sans-serif;
}
.sol-oppening-hours-heading .font-heading-2 {
    margin-left: 12px!important;
    margin-right: 12px!important;
}

/*Justerar textstorleken på återkopplingsmodulen i mobilläge*/
@media (max-width: 530px) {
    .sv-se-soleil-feedback .inner .buttons button:not(.send) {
        font-size: 0.8em!important;
    }
}
/*Justerar färgen på rubriker i cookiebanner */
.sv-cookie-consent-modal .lP50aT9eetaKZC7KClP6 {
    color: #444648;
}
/*Radbryter långa e-postadresser i kontaktkort */
.contact-information .mails a {
  word-break: break-all;
}
/* Justerar padding på tabeller och actionknapp inuti plusbox */
.sv-collapsible-content .env-collapse .action-link {
    padding-top: 5px!important;
}
.sv-collapsible-content .env-collapse .action-link .text { 
    padding-top: 10px; 
}
.sv-collapsible-content .sv-text-portlet table.sol-table thead th {
    padding-top: 10px!important;
}
.sv-collapsible-content .sv-responsiveTable--stacked__headRow p {
    padding-top: 10px!important;
}
/* Fix för storlek på Docpointikoner*/
.sv-se-soleil-docpoint .bi {
 font-size: 1.2em!important;   
}
/*Justerar skeleton i mobil på rek.ai sökordsförslag*/
@media (max-width:768px) {
    .rekai-skeleton-loading {
    width: 90%!important;
    }
}

/*Rätt typsnitt för rek.ai frågor och svar */
.rekai-accordion__link  {
    font-family: open sans, sans-serif;
}
/*Tar bort understrykning i sökordsförslag */
.sv-autocomplete-result-item a {
    text-decoration: none;
}
/*Mjuk scroll på ankarlänkar*/
html {
  scroll-behavior: smooth;
}
/* Fixar så delwebbar får primärfärg på formulärknappar istället för hårdkodad */
.sv-defaultFormTheme input[type=submit],
.sv-form-portlet form input[type=submit] {
    background-color: var(--sol-color-primary);
}

.sv-defaultFormTheme input[type=submit]:hover,
.sv-form-portlet form input[type=submit]:hover {
    background-color: color-mix(in srgb, var(--sol-color-primary) 80%, black);
}

/*Stylar FAQ i sökordsförslagen */
.rekai-accordion__header, 
.rekai-accordion__body, 
.rekai-accordion__body a {
  font-family: open-sans, sans-serif;
}

.rek-sv-autocomplete .externalAutoClass .sv-linkicon {
    display: none!important;
}

/* Lägger in rubriktext ovanför sökordsförslag, ej aktiv 
  .rek-sv-autocomplete .rekai-accordion__header:first-of-type::before {
    content: "Frågor och svar";
    display: block!important;
    font-size: 1.375rem;
    font-family: museo-slab, serif;
    margin-bottom: 4px;
    margin-left: 19px;
    font-weight: 600;
    margin-top: 8px;
  }
*/
/* Fullbreddsbanner med textfält som inte flödar ut för långt*/

.got-banner-fullwidth {
   max-width: 2560px!important;
}

@media (min-width: 992px){
.got-banner-fullwidth .sv-column-6:first-of-type:has(.sv-text-portlet-content) {
  margin-left: max(0px, min((100vw - 1440px) / 2, (2650px - 1440px) / 2))!important;
  width: calc(50% - max(0px, min((100vw - 1440px) / 2, (2650px - 1440px) / 2)))!important;
}
.got-banner-fullwidth .sv-column-6:nth-of-type(2):has(.sv-text-portlet-content) {
  margin-right: max(0px, min((100vw - 1440px) / 2, (2650px - 1440px) / 2))!important;
  width: calc(50% - max(0px, min((100vw - 1440px) / 2, (2650px - 1440px) / 2)))!important;
}
}

/*Minskar textstorlek på flikar*/
.sv-se-soleil-envisionTabsDecoration .tabs__item .tabs__link {
    font-size: 18px!important;
}
/*Stylar root-länken i hamburgemeny på de delwebbar där det är aktivt */
.sol-menu-root-page {
    border-bottom: 1px solid var(--backgroundColorLightMenu)!important;
}

.sol-menu-root-page a {
font-size: 1.375rem!important;
padding: 0 0 0 43px!important;
font-weight: 600;
}
